.prices-page__wrapper {
    padding: 70px 0 32px;
    background: #f7f9fb;
    margin-bottom: 60px;
    margin-top: -25px;
}
.prices-page__title {
    text-align: center;
    font-weight: 700;
    font-size: 46px;
    line-height: 120%;
    letter-spacing: -0.02em;
    text-align: center;
    color: #222;
    margin-bottom: 30px;
}

.prices-page__wrapper-filter-blocks {
    background: rgba(247, 249, 251, 1);
    padding: 20px 0 9px;
    border-radius: 5px;
    margin-bottom: 35px;
}

.prices-page__wrapper-filter {
    padding: 0 30px 0;
    margin-top: 10px;
}

.prices-page__wrapper-filter:not(:last-child) {
    border-bottom: 1px solid #e9e9e9;
}

.prices-page__wrapper-btn-filter {
    position: relative;
    text-align: left;
    font-weight: 700;
    font-size: 18px;
    line-height: 159%;
    letter-spacing: -0.02em;
    color: #183454;
}

.prices-page__filter-item span {
    font-weight: 400;
    font-size: 16px;
    line-height: 250%;
    color: #183454;
}

.checkbox-input[type=checkbox] {
    border-radius: 5px;
    width: 25px;
    height: 25px;
    cursor: pointer;
    background: #f8f8f8;
    border: 1px solid rgba(221, 221, 221, 1);
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    outline: none;
    box-shadow: none;
    padding: 5px;
    margin-top: 8px;
}

.checkbox-label {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: flex-start;
    gap: 15px;
    cursor: pointer;
}

.checkbox-input[type=checkbox]:checked {
    position: relative;
    -webkit-appearance: none;
}

.checkbox-input[type=checkbox]:checked::before {
    content: "";
    position: absolute;
    left: 50%;
    top: 47%;
    -webkit-transform: translate(-48%, -48%);
    -ms-transform: translate(-48%, -48%);
    transform: translate(-48%, -48%);
    width: 15px;
    height: 15px;
    background: rgba(226, 184, 207, 1);
    border-radius: 5px;
    background-size: contain;
}

.prices-page__wrapper-btn-filter::after {
    position: absolute;
    content: "";
    top: 50%;
    right: 0;
    width: 18px;
    transform: translate(0, -50%);
    height: 18px;
    background: url(/images/icons/arrow-bottom.svg) no-repeat right top;
    background-size: 100% 100%;
    transition: opacity 0.4s ease, transform 0.4s ease, visibility 0.4s ease;
}

.prices-page__wrapper-btn-filter.active::after {
    transform: translate(0, -50%) rotate(180deg);
    transition: opacity 0.4s ease, transform 0.4s ease, visibility 0.4s ease;
}

.prices-page__title-small {
    font-weight: 700;
    font-size: 30px;
    line-height: 95%;
    letter-spacing: -0.01em;
    color: #183454;
    margin-bottom: 30px;
}

.prices-page__subtitle {
    font-weight: 700;
    font-size: 16px;
    line-height: 150%;
    color: #222;
    margin: 0;
    margin-right: 15px;
}

.prices-page__button {
    position: relative;
    font-weight: 700;
    font-size: 14px;
    line-height: 110%;
    text-transform: uppercase;
    text-align: center;
    color: #183454;
    padding: 17px 38px;
    border: 1px solid #183454;
    border-radius: 5px;
    background: none;
    margin-left: 37px;
}


.prices-page__wrapper-time svg {
    cursor: pointer;
}

.prices-page__button:hover {
    background: #183454;
    color: #ffffff;
}

.prices-page__sum {
    font-weight: 700;
    font-size: 16px;
    line-height: 150%;
    color: #222;
    margin-right: 32px;
    width: max-content;
}

.prices-page__wrapper-sum {
    display: flex;
    gap: 8px;
    position: relative;
}

.prices-page__wrapper-sum svg {
    position: absolute;
    top: 0;
    right: 0;
}

.prices-page__wrapper-text {
    position: relative;
    padding: 10px 8px 10px 30px;
    border-radius: 4px;
    justify-content: space-between;
    display: flex;
    align-items: center;
    gap: 28px;
}

.prices-page__wrapper-text:nth-of-type(2n+1) {
    background: rgba(229, 131, 176, 0.05);
}

.prices-page__button-more {
    font-weight: 700;
    font-size: 16px;
    line-height: 150%;
    color: #e2b8cf;
    margin-top: 18px;
    border: none;
    background: none;
}

.prices-page__wrapper-price {
    display: flex;
    gap: 53px;
}

.prices-page__wrapper-btn-filter {
    border: none;
    background: none;
    margin-bottom: 15px;
    width: 100%;
}

.prices-page__button-clear-filter {
    font-weight: 700;
    font-size: 14px;
    line-height: 110%;
    text-transform: uppercase;
    text-align: center;
    color: #183454;
    border: 1px solid #183454;
    border-radius: 5px;
    padding: 17px 0;
    width: 100%;
    background: none;
    margin-top: 35px;
    display: block;
}

.prices-page__price-list-wrapper {
    flex: 1;
}

.prices-page__position-block {
    display: flex;
    align-items: center;
    margin-left: auto;
}

.prices-page__wrapper-time {
    display: flex;
    flex: 1;
    gap: 11px;
    align-items: center;
    position: relative;
}

.prices-page__info-text {
    display: none;
    position: absolute;
    z-index: 1;
    top: 38px;
    left: -31px;
    padding: 15px;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.1);
    background: rgba(255, 255, 255, 1);
    font-weight: 400;
    font-size: 12px;
    line-height: 133%;
    color: #222;
    width: 303px;
    border-right: 5px;
}

.prices-page__price-item-wrapper {
    margin-bottom: 50px;
}

.prices-page__info-img:hover + .prices-page__info-text {
    display: flex;
}

.prices-page__filter-list {
    flex-direction: column;
    max-height: 0;
    opacity: 0;
    overflow: hidden;
    padding: 0;
    margin: 0;
    list-style: none;
    transition: max-height 0.4s ease, opacity 0.3s ease;
}

.prices-page__filter-list.active {
    max-height: max-content;
    overflow-y: auto;
    flex-direction: column;
    opacity: 1;
    overflow:visible;
    margin-top: 37px;
}

.prices-page__wrapper-filters {
    width: 303px;
}

.prices-page__downland-price-btn {
    position: absolute;
    top: 20px;
    right: 0;
    font-weight: 700;
    font-size: 16px;
    color: #c13e84;
    background: none;
    border: none;
}

.prices-page__downland-price-btn::after {
    position: absolute;
    content: "";
    top: 50%;
    left: -47px;
    width: 30px;
    transform: translate(0, -50%);
    height: 30px;
    background: url(/images/icons/price.svg) no-repeat right top;
    background-size: 100% 100%;
    transition: opacity 0.4s ease, transform 0.4s ease, visibility 0.4s ease;
}

.prices-page__wrapper-top-block {
    position: relative;
}

.prices-page__buttons-filter {
    position: relative;
    border: 2px solid #ddd;
    border-radius: 5px;
    padding: 12px 20px 12px 19px;
    justify-content: space-between;
    width: -webkit-fill-available;
    display: flex;
    align-items: center;
    font-weight: 400;
    font-size: 16px;
    line-height: 150%;
    letter-spacing: -0.02em;
    color: #787878;
    background: #fff;
}

.prices-page__buttons-filter::after {
    position: absolute;
    content: "";
    top: 50%;
    right: 25px;
    width: 18px;
    transform: translate(0, -50%);
    height: 18px;
    background: url(/images/icons/arrow-bottom.svg) no-repeat right top;
    background-size: 100% 100%;
    transition: opacity 0.4s ease, transform 0.4s ease, visibility 0.4s ease;
}

.prices-page__buttons-filter.active::after {
    transform: translate(0, -50%) rotate(180deg);
    transition: opacity 0.4s ease, transform 0.4s ease, visibility 0.4s ease;
}

.prices-page__sort-options {
    max-height: 0;
    height: 0;
    overflow: hidden;
    -webkit-transition: max-height 0.3s ease;
    transition: max-height 0.3s ease;
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    display: flex !important;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    width: 100%;
    background: #fff;
    border-radius: 0 0 5px 5px;
}

.prices-page__wrapper-sort:has(.prices-page__sort-options.visible) {
    border-radius: 5px;
    width: 27.6%;
    height: fit-content;
    position: relative;
}

.prices-page__sort-option:hover {
    background: #f7f9fb;
}

.prices-page__sort-option {
    font-weight: 400;
    font-size: 16px;
    line-height: 163%;
    letter-spacing: -0.02em;
    color: #183454;
    padding: 13px 8px 25px;
    border: none;
    background: none;
}

.prices-page__sort-options.visible {
    max-height: 500px;
    height: auto;
    position: absolute;
    top: 47px;
    z-index: 1;
    border-top: 1px solid #ddd;
    border-left: 2px solid #ddd;
    border-right: 2px solid #ddd;
    border-bottom: 2px solid #ddd;
}

.prices-page__wrapper-sort {
    width: 27.6%;
}

.prices-page__sort-options-desktop {
    width: 100%;
}

.prices-page__sort-option {
    border-radius: 5px;
    padding: 8px 20px 8px 19px;
    justify-content: space-between;
    display: flex;
    align-items: center;
    font-weight: 400;
    font-size: 14px;
    line-height: 214%;
    color: #283a4e;
    width: -webkit-fill-available;
}

.prices-page__name-block {
    font-weight: 700;
    font-size: 18px;
    line-height: 159%;
    letter-spacing: -0.02em;
    color: #183454;
    margin-bottom: 15px;
    width: 100%;
    display: flex;
}

.prices-page__wrap-sort-filter {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.prices-page__button-apply {
    font-weight: 700;
    font-size: 14px;
    line-height: 110%;
    text-transform: uppercase;
    text-align: center;
    color: #fff;
    padding: 15px 39px;
    background: #183454;
    border: none;
    border-radius: 5px;
}

.prices-page__search-form {
    border: 2px solid rgba(221, 221, 221, 1);
    position: relative;
    display: flex;
    padding: 17px  56px;
    background: rgba(255, 255, 255, 1);
    border-radius: 5px;
    width: -webkit-fill-available;
    height: 60px;
}

.prices-page__search-input {
    width: -webkit-fill-available;
    border: none;
    font-weight: 400;
    font-size: 16px;
    leading-trim: NONE;
    line-height: 24px;
    letter-spacing: -0.02em;
    vertical-align: middle;
    background: none;
}

.prices-page__btn-mob-search-filter {
    display: none;
}

.prices-page__search-form::after {
    position: absolute;
    content: "";
    top: 50%;
    left: 25px;
    width: 22px;
    transform: translate(0, -50%);
    height: 22px;
    background: url(/images/icons/search.svg) no-repeat right top;
    background-size: 100% 100%;
    transition: opacity 0.4s ease, transform 0.4s ease, visibility 0.4s ease;
}

@media (max-width: 1250px) {
    .prices-page__downland-price-btn {
        position: relative;
        border: 1px solid rgba(193, 62, 132, 1);
        height: 55px;
        top: 0;
        border-radius: 5px;
        margin-bottom: 20px;
    }

    .prices-page__downland-price-btn::after {
        left: 18px;
    }

    .prices-page__position-block {
        display: flex;
        align-items: center;
        width: -webkit-fill-available;
        justify-content: space-between;
    }


    .prices-page__wrapper-time {
        justify-content: flex-end;
    }

    .prices-page__info-text {
        left: auto;
        right: 264px;
    }
    .prices-page__wrapper-top-block {
        display: flex;
        flex-direction: column;
    }
}
@media (max-width: 980px) {
    .prices-page__info-text {
        right: 59px;
    }


}

@media (max-width: 765px) {
    .prices-page__wrapper-filters {
        display: none;
    }

    .prices-page__title-small,
    .prices-page__button-more {
        padding-right: 1rem;
        margin-left: 1rem;
    }

    .prices-page__wrapper-price {
        padding-left: 0;
        padding-right: 0;

    }

    .prices-page__info-text {
        right: 20px;
        top: 20px;
    }

    .prices-page__btn-mob-search-filter {
        display: flex;
        padding: 18px;
        border: 2px solid rgba(221, 221, 221, 1);
        background: #ffffff;
        border-radius: 5px;
        width: 60px;
        height: 60px;
        min-width: 60px;
    }

    .prices-page__button {
        position: absolute;
        top: 18px;
        right: 20px;
        background: rgba(24, 52, 84, 1);
        width: 45px;
        height: 45px;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 0;
    }

    .prices-page__wrapper-time {
        position: absolute;
        top: 81px;
        right: 34px;
    }

    .prices-page__downland-price-btn {
        display: flex;
        align-items: center;
        justify-content: flex-start;
        padding-left: 63px;
        margin-bottom: 30px;
    }

    .prices-page__button span {
        display: none;
    }

    .prices-page__button::after {
        position: absolute;
        content: "";
        width: 23px;
        height: 23px;
        background: url(/images/icons/sing.svg) no-repeat right top;
        background-size: 100% 100%;
    }

    .prices-page__wrapper-text {
        padding: 30px 4rem 30px 1rem;
        flex-direction: column;
        align-items: flex-start;
        min-height: 136px;
    }

    .prices-page__search-form {
        flex:   1;
        padding: 17px 20px 17px 63px;
    }

    .prices-page__title {
        font-size: 28px;
        margin-bottom: 27px;
        text-align: left;
    }

    .prices-page__position-block {
        display: flex;
        gap: 17px;
    }

    .prices-page__info-text.active + .prices-page__wrapper-text {
        padding-bottom: 126px;
    }
}